Hi,
After I run a instantiate from powercopy macro I cannot save the model beacuse it says "This item is read-only". I checked in the file system and it seems it is read-only only in the catia session.
The SaveAs would help, but I would like to save it in the original location with the same...
No, I don't need new subset, I need a sublist for my user parameters
I don't know what to write instead of 'renamed parameters', or I don't know if exists anything like that.
Set part1 = CATIA.ActiveDocument.Part
Set parameters4 = part1.Parameters.SubList('renamed parameters', False)
Set...
I have a part with tons of parameter, and I would like to add some via macro.
The goal to add the 'userparm.1' parameter and a round formula. To load the whole parameterset is very long, and I would like to set a user sublist (or renamed sublist) to decrease this load time.
Set part1 =...
It doesn't work:
Set part1 = CATIA.ActiveDocument.Part
Set parameters4 = part1.Parameters.Renamed = False
"Object doesn't support this property or method"
Hi,
I would like to create a custom bend table, where K-factor depends on material, thickness, bend radius and angle.
In Sheet Metal Parameters I can add "Sheet Standards Files..." as described on the picture:
Until this point I have no any problem. The three design tables has been added to...
Hi,
I would like to get the Product's name (e.g: Something.CATProduct) from a drawing view which generated from an enchanted scene.
I've tried the
oDrawingView.GenerativeLinks.FirstLink.Parent.Name 'which gives me "Scenes".
and also tried the...
Hi,
I have the code below, which loop through the products of an assembly, and places their specific name into an array depending on the activation state value. (If deactivated, then it starts with a black filled dot). My problem is it takes too much time, I have an assembly with only 26...
Hi,
I would like to group parameters of an assembly by few conditions, to give them value later but i stuck to do that.
Set parameters2 = oProductDoc.Product.ReferenceProduct.Parameters '(oProductDoc has been set earlier)
Dim parnames As Collection
k=1
If CheckParmA.Value = "False" Then...
I managed to update the part name, the weight, and the designer.
The problem is to update the BOM list. It takes time to update, but the program doesn't want to wait for it, and goes to the next command line. I would like to place the BOM update in a cycle, but now it seems impossible. How could...
Hi all,
I would like to automate the frame and Title block Update command for hundreds of drawings. Open drawings, run update, save, close.
I tried sendkeys through vbs, or inside the catvba but it doesn't seem the good solution even with sleep or doevents or anything i found on google.
I...